package com.th.demo.mapping.ware;

import com.th.demo.model.ware.CargoChangeRecord;
import java.util.Date;
import java.util.List;


public interface CargoChangeRecordMapper {

    CargoChangeRecord selectByPrimaryKey(String id);

    int deleteByPrimaryKey(String id);

    int insert(CargoChangeRecord record);

    CargoChangeRecord selectByCustomer(String uperCustomer, String Customer);

    List<CargoChangeRecord> selectRecord(String uperCustomer, String Customer,
                                         Date RecordDateBegin,Date RecordDateEnd,String subStr,String changeFrom);



}
